> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Password



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/users/me/password
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/users/me/password:
    post:
      tags:
        - Users
      summary: Set Password
      operationId: api_users_router_set_password
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPasswordRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetPasswordResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    SetPasswordRequest:
      properties:
        new_password:
          title: New Password
          type: string
        confirm_password:
          title: Confirm Password
          type: string
        current_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Password
      required:
        - new_password
        - confirm_password
      title: SetPasswordRequest
      type: object
    SetPasswordResponse:
      properties:
        message:
          title: Message
          type: string
        access_token:
          title: Access Token
          type: string
        refresh_token:
          title: Refresh Token
          type: string
      required:
        - message
        - access_token
        - refresh_token
      title: SetPasswordResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````